QT += network xml

TEMPLATE    = app
INCLUDEPATH += ../reader
INCLUDEPATH += ../plot
INCLUDEPATH += ../zip
DEPENDPATH  += ../reader
DEPENDPATH  += ../plot
DEPENDPATH  += ../zip
LIBS        += -L../lib -lreadfile -lqsiplot -lzip

include ( ../settings.pri )

TARGET      = peacemoments-caa
DESTDIR     = ../

HEADERS += peacemoments_caa.h peacemoments_gui.h window.h
HEADERS += ret_codes.h thread.h plotmaker.h
HEADERS += threadspectro.h spectromaker.h peacemoments.h

SOURCES += main.C peacedata.C  writecef.C 
SOURCES += int_trig.C time.C extract_us.C gse2bfa.C sc2gse.C misc.C
SOURCES += doytoday.C daytodoy.C peacemoments.C getlocations.C
SOURCES += statushandler.C
SOURCES += window.C thread.C plotmoments.C plotspectrogram.C plotmaker.C
SOURCES += integrationwindow.C outputwindow.C
SOURCES += download.C plotwindow.C threadspectro.C spectromaker.C
SOURCES += handler.C interpolate_linear.C quickcheckfiletype.C
SOURCES += do-unzip.C extract_files.C
