/*******************************************************************************
 **
 ** $Id: quickcheckfiletype.C 149 2008-11-28 20:51:29Z AndrewLahiff $
 **
 ******************************************************************************
 **
 ** Copyright (C) 2007-2008 Andrew Lahiff.
 **
 ** This file is part of PEACEmoments CAA.
 **
 ** PEACEmoments CAA is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** PEACEmoments CAA is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with PEACEmoments CAA.  If not, see <http://www.gnu.org/licenses/>.
 **
 *******************************************************************************/

#include "peacemoments_caa.h"

int quickCheckFileType(char file[])
{
   QString qFile = file;
   if (qFile.endsWith(".cef", Qt::CaseInsensitive) ||
       qFile.endsWith(".cdf", Qt::CaseInsensitive))
   {
      ReadFile filet;
      int retval = filet.open(file);
      if (retval == _SUCCESS)
      {
         filet.readHeader();
         QString did = filet.getGlobalAttr("DATASET_ID");
	 if (did == "") did = filet.getGlobalAttr("LOGICAL_SOURCE");
         filet.close();
         return(checkForFileType(did));
      }
      else return(-1);
   }
   else return(-1);
}

