/*******************************************************************************
 **
 ** $Id: daytodoy.C 149 2008-11-28 20:51:29Z AndrewLahiff $ 
 **
 ******************************************************************************
 **
 ** Copyright (C) 2007-2008 Andrew Lahiff.
 **
 ** This file is part of PEACEmoments CAA.
 **
 ** PEACEmoments CAA is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** PEACEmoments CAA is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with PEACEmoments CAA.  If not, see <http://www.gnu.org/licenses/>.
 **
 *******************************************************************************/

#include "peacemoments_caa.h"

int daytodoy(int year, int month, int day)
{

   int i, dim[13], doy;

   dim[1] = 31;
   if (maxDaysInYear(year) == 366)
   {
      dim[2] = 29;
   }
   else
   {
      dim[2] = 28;
   }
   dim[3] = 31;
   dim[4] = 30;
   dim[5] = 31;
   dim[6] = 30;
   dim[7] = 31;
   dim[8] = 31;
   dim[9] = 30;
   dim[10] = 31;
   dim[11] = 30;
   dim[12] = 31;
   
   doy = day;
   
   if (month > 1)
   {
      for (i = 1; i < month; i++)
      {
         doy = doy + dim[i];
      }
   }
   
   return(doy);
}
