/*******************************************************************************
 **
 ** $Id: extract_us.C 149 2008-11-28 20:51:29Z AndrewLahiff $
 **
 ******************************************************************************
 **
 ** Copyright (C) 2007-2008 Andrew Lahiff.
 **
 ** This file is part of PEACEmoments CAA.
 **
 ** PEACEmoments CAA is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** PEACEmoments CAA is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with PEACEmoments CAA.  If not, see <http://www.gnu.org/licenses/>.
 **
 *******************************************************************************/

#include "peacemoments_q.h"

//-----------------------------------------------------------------------------
//
// extract_us
//
//-----------------------------------------------------------------------------

QString extract_us(QString in, int i)
{
   QString returnString;
   QStringList stringSplit = in.split("_", QString::SkipEmptyParts);
   if (stringSplit.size())
   {
      if (i < stringSplit.size())
      {
         returnString = stringSplit.at(i);
      }
      else
      {
         returnString = "";
      }
   }
   else
   {
      returnString = "";
   }
   return(returnString);
}

