
/*******************************************************************************
 **
 ** $Id: peacemoments.h 149 2008-11-28 20:51:29Z AndrewLahiff $
 **
 ******************************************************************************
 **
 ** Copyright (C) 2007-2008 Andrew Lahiff.
 **
 ** This file is part of PEACEmoments CAA.
 **
 ** PEACEmoments CAA is free software: you can redistribute it and/or modify
 ** it under the terms of the GNU General Public License as published by
 ** the Free Software Foundation, either version 3 of the License, or
 ** (at your option) any later version.
 **
 ** PEACEmoments CAA is distributed in the hope that it will be useful,
 ** but WITHOUT ANY WARRANTY; without even the implied warranty of
 ** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ** GNU General Public License for more details.
 **
 ** You should have received a copy of the GNU General Public License
 ** along with PEACEmoments CAA.  If not, see <http://www.gnu.org/licenses/>.
 **
 *******************************************************************************/

#ifndef PEACEMOMENTS_H_
#define PEACEMOMENTS_H_

#include <QObject>

//=============================================================================
// 
// calculate moments
//
//=============================================================================

class PeaceMoments : public QObject
{
   Q_OBJECT
   
   public:
      PeaceMoments(QObject *parent = 0);
      ~PeaceMoments();
      int run_calc(int, bool, bool, bool, bool, bool,
                   char *, char *, char *, char *, char *,
                   int, int, struct sWML, struct sPML,
                   double, double, int,
                   int, int, int, double, double,
                   int, double, double,
                   bool, bool, bool, bool, bool,
                   char *, int *, bool, bool, double);
   signals:
      void progress(int);
};

#endif /*PEACEMOMENTS_H_*/
